/** @type {import('tailwindcss').Config} */
export const content = ['src/**/*.{js,jsx,ts,tsx}']
export const theme = {
  extend: {
    fontFamily: {
      syne: ['Syne', 'sans-serif'],
      inter: ['Inter', 'sans-serif'],
    },
    animation: {
      enter: 'enter 200ms ease-out',
      leave: 'leave 200ms ease-in forwards',
    },
    keyframes: {
      enter: {
        '0%': { transform: 'scale(0.75) translateY(-110%)', opacity: 0 },
        '25%': { opacity: 0 },
        '100%': { transform: 'scale(1) translateX(0)', opacity: 1 },
      },
      leave: {
        '0%': { transform: 'scale(1) translateX(0)', opacity: 1 },
        '75%': { opacity: 0 },
        '100%': { transform: 'scale(0.75) translateY(-110%)', opacity: 0 },
      },
    },
  },
}

export const plugins = [require('daisyui')]
export const daisyui = { themes: ['light', 'dark'] }
